net.fortuna.ical4j.model.component

## Class Available

- java.lang.Object
- - net.fortuna.ical4j.model.Component
  - - net.fortuna.ical4j.model.component.Available

All Implemented Interfaces:
  Serializable

    public class Available
    extends Component

$Id$ [05-Apr-2004] Defines an iCalendar Available component.

           availablec  = "BEGIN" ":" "AVAILABLE" CRLF

                        availableprop

                        "END" ":" "AVAILABLE" CRLF

              availableprop  = *(

                             ; the following are REQUIRED,
                             ; but MUST NOT occur more than once

                             dtstamp / dtstart / uid /

                             ; either a 'dtend' or a 'duration' is required
                             ; in a 'availableprop', but 'dtend' and
                             ; 'duration' MUST NOT occur in the same
                             ; 'availableprop', and each MUST NOT occur more
                             ; than once

                             dtend / duration /

                             ; the following are OPTIONAL,
                             ; but MUST NOT occur more than once

                             created / last-mod / recurid / rrule /
                             summary /

                             ; the following are OPTIONAL,
                             ; and MAY occur more than once

                             categories / comment / contact / exdate /
                             rdate / x-prop

                             )

Author:
  Ben Fortuna, Mike Douglass
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Component

`AVAILABLE, BEGIN, END, EXPERIMENTAL_PREFIX, VALARM, VAVAILABILITY, VEVENT, VFREEBUSY, VJOURNAL, VTIMEZONE, VTODO, VVENUE`

### Constructor Summary

Constructors
Constructor and Description
`Available()` Default constructor.
`Available(PropertyList properties)` Constructor.

### Method Summary

Methods
`void` `validate(boolean recurse)` Perform validation on a component.

### Methods inherited from class net.fortuna.ical4j.model.Component

`calculateRecurrenceSet, copy, equals, getName, getProperties, getProperties, getProperty, hashCode, toString, validate, validateProperties`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Available

    public Available()

Default constructor.

#### Available

    public Available(PropertyList properties)

Constructor.

Parameters:
  `properties` - a list of properties

### Method Detail

#### validate

    public final void validate(boolean recurse)
                        throws ValidationException

Perform validation on a component.

Specified by:
  `validate` in class `Component`
Parameters:
  `recurse` - indicates whether to validate the component's properties
Throws:
  `ValidationException` - where the component is not in a valid state